/* ----------------------------------------------------------------------- */
/*  GenomeLib.h : interface of the genome library                          */
/*  Author : Ji HongKai ; Time: 2004.08                                    */
/* ----------------------------------------------------------------------- */

/* ----------------------------------------------------------------------- */
/*                              Declaration                                */
/* ----------------------------------------------------------------------- */
#define GENOME_CONTIG_LEN 500000
#define GENOME_BUFFER_LEN 100000

#define GENOME_MED_CONTIG_LEN 100000
#define GENOME_MED_BUFFER_LEN 20000

#define CODE_BATCH_LEN 60
#define ALN_LENGTH 1000000
#define NAME_LENGTH 20

#define MAX_CHROMOSOME_NUM 1024

/* ORTHOLOG_COLINEAR_NUM can only be an odd number */
#define ORTHOLOG_COLINEAR_NUM 5
#define ORTHOLOG_MAP_COLINEAR_NUM 10
#define ORTHOLOG_COLINEAR_WIN 3000000
#define ORTHOLOG_MATCHCOUNT_LIM 2
#define ORTHOLOG_ORIENCOUNT_LIM 2
#define ORTHOLOG_COMBCOUNT_COEF 0.6

/* REFGENE REDUNDANCY CRITERIA */
#define REFGENE_OVERLAP_TH 0.3
#define REFGENE_MATCH_TH 0.5


#define OS_SYSTEM "UNIX"


/* ----------------------------------------------------------------------- */ 
/*                                Functions                                */
/* ----------------------------------------------------------------------- */

/* ----------------------------------------------------------------------- */ 
/*  Genome_Index_To_ChromosomeName:                                        */
/*  convert numeric chromosome id to chromsome name                        */
/* ----------------------------------------------------------------------- */ 
char *Genome_Index_To_ChromosomeName(char *strChrName, char strSpecies[], int nChr);

/* ----------------------------------------------------------------------- */ 
/*  Genome_ChromosomeName_To_Index:                                        */
/*  convert chromsome name to numeric chromosome id.                       */
/* ----------------------------------------------------------------------- */ 
int Genome_ChromosomeName_To_Index(char strChrName[], char strSpecies[]);
